Package org.kapott.hbci.sepa.jaxb.pain_002_001_10

## Class StatusReasonInformation12

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.pain_002_001_10.StatusReasonInformation12

    public class StatusReasonInformation12
    extends java.lang.Object

Java class for StatusReasonInformation12 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="StatusReasonInformation12">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Orgtr" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.10}PartyIdentification135" minOccurs="0"/>
             <element name="Rsn" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.10}StatusReason6Choice" minOccurs="0"/>
             <element name="AddtlInf" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.10}Max105Text" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected java.util.List<java.lang.String>` `addtlInf`
`protected PartyIdentification135` `orgtr`
`protected StatusReason6Choice` `rsn`

### Constructor Summary

Constructors
`StatusReasonInformation12()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.List<java.lang.String>` `getAddtlInf()` Gets the value of the addtlInf property.
`PartyIdentification135` `getOrgtr()` Gets the value of the orgtr property.
`StatusReason6Choice` `getRsn()` Gets the value of the rsn property.
`void` `setOrgtr​(PartyIdentification135 value)` Sets the value of the orgtr property.
`void` `setRsn​(StatusReason6Choice value)` Sets the value of the rsn property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### orgtr

    protected PartyIdentification135 orgtr

#### rsn

    protected StatusReason6Choice rsn

#### addtlInf

    protected java.util.List<java.lang.String> addtlInf

### Constructor Detail

#### StatusReasonInformation12

    public StatusReasonInformation12()

### Method Detail

#### getOrgtr

    public PartyIdentification135 getOrgtr()

Gets the value of the orgtr property.

Returns:
  possible object is `PartyIdentification135`

#### setOrgtr

    public void setOrgtr​(PartyIdentification135 value)

Sets the value of the orgtr property.

Parameters:
  `value` - allowed object is `PartyIdentification135`

#### getRsn

    public StatusReason6Choice getRsn()

Gets the value of the rsn property.

Returns:
  possible object is `StatusReason6Choice`

#### setRsn

    public void setRsn​(StatusReason6Choice value)

Sets the value of the rsn property.

Parameters:
  `value` - allowed object is `StatusReason6Choice`

#### getAddtlInf

    public java.util.List<java.lang.String> getAddtlInf()

Gets the value of the addtlInf property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the addtlInf property.

For example, to add a new item, do as follows:

        getAddtlInf().add(newItem);

Objects of the following type(s) are allowed in the list `String`